Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.provider
Class MD2MessageDigest

    java.lang.Object
      |
      +--java.security.MessageDigestSpi
            |
            +--java.security.MessageDigest
                  |
                  +--org.mozilla.jss.provider.MessageDigest
                        |
                        +--org.mozilla.jss.provider.MD2MessageDigest

public class MD2MessageDigest
extends MessageDigest

The JSS JCA MD2 provider.

Inner classes inherited from class java.security.MessageDigest
`java.security.MessageDigest.Delegate`

Fields inherited from class org.mozilla.jss.provider.MessageDigest
`md`

Fields inherited from class java.security.MessageDigest
`algorithm, IN_PROGRESS, INITIAL, provider, state`

Constructor Summary
`MD2MessageDigest()`

Method Summary
`protected DigestAlgorithm` | `getAlg()` Returns the particular algorithm that the subclass is implementing.

Methods inherited from class org.mozilla.jss.provider.MessageDigest
`clone, engineDigest, engineReset, engineUpdate, engineUpdate`

Methods inherited from class java.security.MessageDigest
`digest, digest, digest, getAlgorithm, getDigestLength, getInstance, getInstance, getProvider, isEqual, reset, toString, update, update, update`

Methods inherited from class java.security.MessageDigestSpi
`engineDigest, engineGetDigestLength`

Methods inherited from class java.lang.Object
`, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Constructor Detail

### MD2MessageDigest

    public MD2MessageDigest()

Method Detail

### getAlg

    protected DigestAlgorithm getAlg()

  Description copied from class: `MessageDigest`
  Returns the particular algorithm that the subclass is implementing.
  Overrides:
    `getAlg` in class `MessageDigest`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD